Scriptname TWR_WinterholdStaffEmpowerScript extends activemagiceffect  

Message Property EmpowerChoice Auto
FormList Property StaffList Auto

Weapon Property Staff1 Auto
Weapon Property Staff2 Auto
Weapon Property Staff3 Auto
Weapon Property Staff4 Auto
Weapon Property Staff5 Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If Game.GetPlayer().GetItemCount(StaffList) > 0
		Int BTN = EmpowerChoice.Show()
		if BTN == 0 ; fireball
			Game.GetPlayer().RemoveItem(StaffList, 1)
			Game.GetPlayer().AddItem(Staff1, 1)
			Game.GetPlayer().EquipItem(Staff1)
		elseif BTN == 1 ; chainlightning
			Game.GetPlayer().RemoveItem(StaffList, 1)
			Game.GetPlayer().AddItem(Staff2, 1)
			Game.GetPlayer().EquipItem(Staff2)
		elseif BTN == 2 ; ice storm
			Game.GetPlayer().RemoveItem(StaffList, 1)
			Game.GetPlayer().AddItem(Staff3, 1)
			Game.GetPlayer().EquipItem(Staff3)
		elseif BTN == 3 ; dread zombie
			Game.GetPlayer().RemoveItem(StaffList, 1)
			Game.GetPlayer().AddItem(Staff4, 1)
			Game.GetPlayer().EquipItem(Staff4)
		elseif BTN == 4 ; soul trap
			Game.GetPlayer().RemoveItem(StaffList, 1)
			Game.GetPlayer().AddItem(Staff5, 1)
			Game.GetPlayer().EquipItem(Staff5)
		elseif BTN == 5 ; cancel
		Endif
	Else
		Debug.Notification("You must have the staff of Winterhold to use this")
	Endif

EndEvent